package com.ss.android.ugc.aweme.settingsrequest.api;

import X.2Pr;
import X.LsC;
import com.bytedance.covode.number.Covode;
import com.google.gson.m;
import java.util.List;
import java.util.Map;
import org.json.JSONObject;

public interface IConfigCenterBridgeApi {
    static {
        Covode.recordClassIndex(106786);
    }

    Map<String, Object> LIZ(List<String> list);

    void LIZ(m mVar, String str);

    void LIZ(JSONObject jSONObject, LsC<? super String, 2Pr> lsC, LsC<? super Exception, 2Pr> lsC2);

    boolean LIZ();
}
